Get one API-created crypto transaction. An active on-chain payout returns processing. A payout that ends unsuccessfully returns failed. Required scope: crypto-transaction:read.
Authorization
oauth2ClientCredentials crypto-transaction:readUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-transaction:read
Path Parameters
The crypto transaction ID.
Response Body
application/json
curl --request GET \ --url 'https://example.com/api/external/crypto/transactions/string'{ "message": "Crypto transaction retrieved successfully.", "data": { "id": "transaction-id", "wallet_id": "wallet-id", "customer_id": "customer-id", "type": "payout", "status": "processing", "reference": "CRYPTO-REF", "currency": "USDC", "amount": "100.000000", "fee": "1.000000", "net_amount": "99.000000", "balance_change": "-100.000000", "target_currency": "USDC", "target_amount": "99.000000", "rate": "1.00000000", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET", "transaction_hash": null, "counterparty_transaction_id": null, "counterparty_transaction": null, "fiat_transaction_id": null, "fiat_transaction": null, "created_at": "2026-08-12T20:00:00.000000Z", "updated_at": "2026-08-12T20:00:00.000000Z" }}GETList crypto transactions
Get API-created crypto transactions for your business. Required scope: `crypto-transaction:read`.
POSTCreate a crypto payout
Send crypto to an external address. The source wallet must belong to your business. The customer must belong to your business and have a VERIFIED status. The address must not be a Blaaiz wallet address. The request needs approved KYB and an `Idempotency-Key`. Required scope: `crypto-payout:create`.